Package ru.bitel.bgbilling.modules.voice.server.bean.operator.infolada

# Class Infolada

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.operator.Operator
ru.bitel.bgbilling.modules.voice.server.bean.operator.infolada.Infolada

    public class Infolada
    extends Operator

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.server.bean.operator.Operator

  `ABONENT_SNAPSHOT_TABLE_PREFIX, billingToOperServiceMap, id, incorrectOperatorMessage, log, mid, moduleSetup, operatorSetup, operToBillingServiceMap, serviceList, tariffList`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Infolada()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `checkCorrectOperator()` | Оператор должен проверить свои настройки и если что-то не так - кинуть экзепшен.
  `void` | `createAbonentSnapshot​(java.sql.Connection con, java.util.Date month)` |
  `java.util.List<Report>` | `getReportList​(java.util.Date month, boolean hasSnapshot)` |
  `boolean` | `needAbonentSnapshot()` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.server.bean.operator.Operator

  `clearSnapshot, getBillingToOperServiceMap, getChangedAbonents, getContractId, getId, getInsertSnapshotPs, getLastPrevSnapshot, getModuleId, getModuleSetup, getOperatorSetup, getOperToBillingServiceMap, getReport, getReportList, getServiceList, getTariffList, getTitle, hasShapshot, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Infolada

    public Infolada()

- ## Method Details

  - ### needAbonentSnapshot

    public boolean needAbonentSnapshot()
    Specified by:
      `needAbonentSnapshot` in class `Operator`

  - ### createAbonentSnapshot

    public void createAbonentSnapshot​(java.sql.Connection con, java.util.Date month)
    Specified by:
      `createAbonentSnapshot` in class `Operator`

  - ### getReportList

    public java.util.List<Report> getReportList​(java.util.Date month, boolean hasSnapshot)
    Specified by:
      `getReportList` in class `Operator`

  - ### checkCorrectOperator

    public void checkCorrectOperator() throws ru.bitel.bgbilling.common.BGException
    Description copied from class: `Operator`
    Оператор должен проверить свои настройки и если что-то не так - кинуть экзепшен.
    Specified by:
      `checkCorrectOperator` in class `Operator`
    Throws:
      `ru.bitel.bgbilling.common.BGException` - экзепшен с сообщением.